/* RESET */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Inter, Arial, sans-serif;
}
img{
  object-fit: cover;
}
body {
  background: #f4f6f9;
  color: #111;
}

/* CONTAINER */
.container {
  max-width: 1100px;
  margin: auto;
  padding: 30px 20px;
}

/* TOPO */
.top-bar {
  display: flex;
  flex-direction: column;
  gap: 6px;
  margin-bottom: 25px;
}

.top-bar h1 {
  font-size: 28px;
}

.top-bar span,
.top-bar p {
  color: #666;
  font-size: 14px;
}

/* CARD PADRÃO */
.card {
  background: #fff;
  padding: 25px;
  border-radius: 12px;
  box-shadow: 0 8px 25px rgba(0,0,0,.06);
}

/* FORM */
.form-group {
  margin-bottom: 18px;
}

label {
  display: block;
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 6px;
}

input,
textarea,
select {
  width: 100%;
  padding: 12px 14px;
  border-radius: 8px;
  border: 1px solid #ddd;
  font-size: 14px;
}

textarea {
  resize: vertical;
}

input:focus,
textarea:focus,
select:focus {
  outline: none;
  border-color: #4f46e5;
}

/* BOTÕES */
.btn,
.btn-primary {
  background: #4f46e5;
  color: #fff;
  border: none;
  padding: 12px 20px;
  border-radius: 8px;
  font-weight: 600;
  cursor: pointer;
}

.btn:hover {
  opacity: .9;
}

/* BLOG LISTA */
.blog-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 24px;
}

.blog-card {
  background: #fff;
  border-radius: 12px;
  overflow: hidden;
  box-shadow: 0 8px 20px rgba(0,0,0,.06);
  transition: transform .2s;
}

.blog-card:hover {
  transform: translateY(-4px);
}

.blog-card img {
  width: 100%;
  height: 190px;
  object-fit: cover;
}

.blog-content {
  padding: 20px;
}

.blog-content h2 {
  font-size: 20px;
  margin-bottom: 8px;
}

.blog-content p {
  font-size: 14px;
  color: #555;
  margin-bottom: 12px;
}

.btn-link {
  text-decoration: none;
  font-weight: 600;
  color: #4f46e5;
}

/* POST INDIVIDUAL */
.post-header {
  margin-bottom: 25px;
}

.post-header h1 {
  font-size: 34px;
  margin-bottom: 10px;
}

.post-meta {
  font-size: 13px;
  color: #777;
  
}
.post img{
  width: 100%;
 height: 600px;
}
.post-image {
  margin: 25px 0;
}

.post-image img {
  width: 100%;
  border-radius: 12px;
}

.post-content {
  line-height: 1.7;
  font-size: 16px;
}

.post-content h2 {
  margin: 25px 0 10px;
}

.post-content p {
  margin-bottom: 15px;
}

/* CTA FINAL */
.post-cta {
  margin-top: 40px;
  padding: 25px;
  background: #4f46e5;
  color: #fff;
  border-radius: 14px;
  text-align: center;
}

.post-cta h3 {
  margin-bottom: 10px;
}

.post-cta a {
  display: inline-block;
  margin-top: 12px;
  background: #fff;
  color: #4f46e5;
  padding: 12px 20px;
  border-radius: 8px;
  font-weight: 700;
  text-decoration: none;
}